redhat编译bochs

Linux 专栏收录该内容
18 篇文章 0 订阅

linux 安装上了,下载了一个Bochs版本 bochs-2.4.2-1.i586 结果安装时候依赖文件没找到,提示如下:

Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
rpmlib(PayloadIsLzma) is needed by bochs-2.4.2-1.i586
Complete!


yum提示找不到依赖文件,火大,直接下载源代码,,bochs-2.4.6-1.src.rpm,重新生成rpm包:

rpm –ivh bochs-2.4.6-1.src.rpm

cd /usr/src/redhat/SPECS

rpmbuild –bb bochs.spec

这个步骤等了好久,结果出错了,信息如下

36% [=========>                  ] 551,283     12.3K/s  eta 85s     wget: progress.c:922: create_image: Assertion `insz <= dlsz' failed.
make: *** [dlxlinux4.tar.gz] Aborted
make: *** Deleting file `dlxlinux4.tar.gz'
error: Bad exit status from /var/tmp/rpm-tmp.98121 (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.98121 (%build)

还是错了,郁闷死了,关键时刻宿舍开下载了,一下下子断网了,再重复试一遍,哎,网络变好了过了。

进入生成目录,安装,成功了。

cd /usr/src/redhat/RPMS/i386

rpm -ivh bochs-2.4.6-1.i386.rpm

  • 0
    点赞
  • 0
    评论
  • 0
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

©️2021 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值